#include <iostream>
using namespace std;
int main () {
    int t,n[5],k[5],a[100000];
    cin>>t;
    for(int i=0;i<t;i++) {
        cin>>n[i]>>k[i];
        for(int j=0;j<n[i];j++) {
            cin>>a[j];
        }
        cout<<"NO"<<endl;
    }

    return 0;
}
